Page MenuHomePhabricator

Show dynamic label text depending on conflict column selection
Closed, ResolvedPublic2 Estimated Story Points

Description

It might be helpful to provide context for each conflicting chunk, as originally specified in our v2.2 mockup. This label should change dynamically whenever the radio buttons change.

This could be especially useful for screen readers.

  • When neither column is selected, or in noscript mode, show "Please select a version".
  • When "other" text is selected, show "Other version".
  • When "your text is selected, show "Your version".

Event Timeline

awight created this task.Feb 20 2020, 12:57 PM
Restricted Application added a project: Design. · View Herald TranscriptFeb 20 2020, 12:58 PM

pinging @JStrodt_WMDE @WMDE-Fisch and @thiemowmde to clarify that the text not being shown was a concious or not so concious decision? It seems to made specific in the code and I can't recall if not showing the text at each paragraph has a specific reason.

The code that shows the text "Please select a version" a single time only and hides it for all later rows was part of the original ticket T198212: Allow to select versions of the diff that introduced the feature almost 2 years ago (patch https://gerrit.wikimedia.org/r/447760). This code was not touched since then. I don't know, but if I would have to guess I would say it looks like it was a deliberate decision back then.

awight set the point value for this task to 2.Feb 20 2020, 2:07 PM

@Hanna_Petruschat_WMDE
I remember that some designs back then only showed the text at the top. I can't say if that was a conscious decision or not. Maybe it was about trying to declutter the interface from too much text? Anyway, if there are no technical limitations, I think you should decide what makes most sense from a UX perspective.

No, no technical limitations. This is how it would look like right now, without any adjustment:

awight claimed this task.Feb 24 2020, 9:48 AM

I'm going to implement according to the latest mockup, rather than block this small bit of work. It's fine if we end up not using the code...

Change 574434 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Dynamic labels during column selection

https://gerrit.wikimedia.org/r/574434

thiemowmde removed awight as the assignee of this task.Feb 26 2020, 1:17 PM
thiemowmde moved this task from Review to Demo on the WMDE-QWERTY-Sprint-2020-02-19 board.

Change 574434 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Dynamic labels during column selection

https://gerrit.wikimedia.org/r/574434

Change 576006 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/TwoColConflict@master] Show "please select a side" on all rows, not only the first

https://gerrit.wikimedia.org/r/576006

Change 576006 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Show "please select a side" on all rows, not only the first

https://gerrit.wikimedia.org/r/576006

thiemowmde closed this task as Resolved.Mar 3 2020, 12:49 PM
thiemowmde claimed this task.
thiemowmde moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-02-19 board.